<%@ page session="false" %><%--
--%><%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %><%--
--%><%@ page import="com.opencms.core.*,java.util.*,com.opencms.flex.jsp.*" %><%--

--%><!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>OpenCms Online-Help</title>

<meta HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; CHARSET=<cms:property name="content-encoding" default="ISO-8859-1" />">

<link type="text/css" rel="stylesheet" href="<cms:link>../resources/help.css</cms:link>">

</head>
<body>
<a name="top"></a>
<table width="100%" border="0" cellpadding="0" cellspacing="0" height="100%">
<tr>
	<td width="30%" valign="top" class="nav">
<%	

	// Create a JSP action element
 	com.opencms.flex.jsp.CmsJspActionElement cms = new CmsJspActionElement(pageContext, request, response);
		
	// Get the current file and folder name
	String filename = request.getParameter("file");	
	String pagetitle = "";
	
	
	// Get a list of all pages / subfolders in the folder (sorted by NavPos property)
	ArrayList list = cms.getNavigation().getNavigationTreeForFolder(filename, 3, 99);
    Iterator i = list.iterator();
    
    while (i.hasNext()) {
    	CmsJspNavElement ne = (CmsJspNavElement)i.next();
		String description = ne.getDescription();
		int level = ne.getNavTreeLevel();
		if (ne.getResourceName().equals(filename) || (ne.isFolderLink() && filename.equals(ne.getResourceName()+"index.html") )) {
			pagetitle=ne.getTitle();
			out.println("<span class=\"nav"+(level-3)+"\">" + pagetitle + "</span><br style=\"clear:left\">");			
		}
		else {
			out.println("<a target=\"_top\" class=\"nav"+(level-3)+"\" href=\"" + cms.link(ne.getResourceName()) + "\">" + ne.getTitle() + "</a><br style=\"clear:left\">");   		
		}
		
    }
  
%>

	</td>
	<td width="70%" valign="top" class="content">
	<h2><%= pagetitle %></h2>
	
<!-- Main page body starts here -->
<cms:include element="body"><%= filename %></cms:include>	

<!-- Main page body ends here -->

	<p align="right"><a href="#top" class="small"><img src="<cms:link>/system/modules/org.opencms.help/resources/bu_up.gif</cms:link>" width="16" height="16" border="0"></a></p>
	</td>
</tr>
</table>
</body>
</html>